Monday, April 11, 2011

Episode 126 of RFC

WhiteChapel District, Chad & Sean and Zombie Babies Shine On RFC 126

April 11, 2011 by rudy panucci
Up above you see Radio Free Charleston 126, “Purple Batman shirt.” This episode features music from WhiteChapel District, the duo of Chad Foss and Sean Sydnor, and a trailer for “Zombie Babies,” Eamon Hardiman’s latest motion picture. This is our first show uploaded in Hi-Def, so you can sit real close to your computer monitor and pretend that you’re watching it on the big screen.

Friday, April 1, 2011

Episode 125 of RFC

Radio Free Charleston Hits 125!

April 1, 2011 by rudy panucci

Production Notes For RFC 125

At the head of this post, you see the most expensive episode of Radio Free Charleston ever produced. Hosted from a very special place on the West Side, our 125th installment, “Robot Bhudda Shirt”, features a very special motion capture video forMother Nang, with a seven figure budget, directed by a big name Hollywood talent whom we cannot name (but it rhymes with Smemeckis). We also have a very provocative video starring Pepper Fandango and a pricey Trans-Atlantic location shoot with Adrian DeQuiros. Also in this episode, Kitty Killton returns and our animation is the most family friendly we’ve ever featured on the show.

Rudy standing in Roger Bartfast's "World Of Washington" on Charleston's West Side

Host segments for this episode were shot at Roger Bartfast’s backyard on the West Side of Charleston. 

Monday, March 21, 2011

Episode 124 of RFC

RFC 124 Stars Slate Dump, Electro Biscuit, Red Audio and Frank Panucci

March 21, 2011 by rudy panucci
At the head of this post you see the 124th installment of Radio Free Charleston. “Double Trouble Shirt” is named after a King Kerosin shirt from The Salvage Yard in the Charleston Town Center, and features music from Slate Dump, Electro Biscuitand Red Audio.

We have a double dose of RFC Big Shot, Frank Panucci, with a previously unseen compilation of public domain footage and a classic bit of computer animation.

Monday, March 14, 2011

Episode 123 RFC

Andy Park, QIET, Roger Simms, MURFMEEF Plus ArtWalk, Green Lantern And Animation In RFC 123

March 14, 2011 by rudy panucci
The latest episode of Radio Free Charleston is online now. That’s it right above this text!

“Green Lantern Shirt,” with a namesake shirt chosen in honor of the St. Patrick’s Day holiday this week, sports host segments from Studio 1031, one of the newest participants in ArtWalk, which resumes its monthly schedule this week after taking a couple of very cold months off. 1031 is the home of several artists who used to be part of 1033 Quarrier, the old LiveMix/Gallery Eleven building. With a bright new space and lots of great art, it’s going to be one of the top locations in Charleston’s ArtWalk.

Monday, March 7, 2011

Episode 122 of RFC

RFC 122 With Roger Simms, Drop Ded Phred, Sasha Colette Animation and Theater!

March 7, 2011 by rudy panucci
At the head of this post, you see Radio Free Charleston 122, “Fistful Of Mercy Shirt.” This episode of the show features new music from Roger Simms (from the band Short of Cash), punk sensation Drop Ded Phred, and a return visit from Sasha Colette. We also have a preview clip of the Contemporary Youth Arts Company production, “A Service For Jeremy Wong” (opening this week), and brand new animation from Frank Panucci.
Host segments were shot in the friendly confines of Taylor Books Annex Gallery, prominently featuring the art of our old friend, Charles Jupiter Hamilton in the background. Taylor Books is one of the class acts here in town and it’s always fun to pop inside for a quick visit, specially when the springlike weather takes an unexpected turn for the worse. Also, one of our guests, Sasha Colette, will be performing at Taylor’s next Saturday night.

Monday, February 28, 2011

Episode 121 of RFC

RFC 121 with Beaver Knievel, Dennis Hopper’s Army, Robot Commando and The Mugger!

February 28, 2011 by rudy panucci
Episode 121 of Radio Free Charleston, “Thrilling Detective Shirt,” is online now, right at the top of this post. This installment of RFC features a double-dose of Beaver Knievel, a quick blast of folk/punk stomp from Dennis Hopper’s Army, plus vintage animation from Frank Panucci and a visit from Robot Commando.

Host segments were shot at Haddad Riverfront Park, and the show’s title shirt comes to us courtesy of Retro A Go Go. Soon you should be able to find their cool shirts and other items at The Salvage Yard in The Charleston Town Center.

Before we jump into the show proper, just know this: Robot Commando wants to help you. He really does.

Monday, February 21, 2011

Episode 120 of RFC

RFC 120 Remembers Dave Russell

February 21, 2011 by rudy panucci
Radio Free Charelston 120, “Zombie Babies Shirt” is online now, and posted right above this text. This show is designed to promote Friday’s benefit show for Dave Russell at The Empty Glass.

We feature music from The ButtonFlies, Sierra Ferrell and The Diablo Blues Band, all of whom will be performing Friday. We also have a trailer for “Porkchop,” the Eamon Hardiman-directed movie on which Dave worked as cinematographer.  As an added bonus we have a look at the soundcheck version of “Get Loose” by Beaver Knievel.  

Monday, February 14, 2011

Episode 119 of RFC

Sasha Colette, CYAC, Ryan Hardiman and Lovey-Dovey DEVO Hats Fill Up RFC 119

February 14, 2011 by rudy panucci
Radio Free Charleston returns, as seen above, with episode 119, “Transformer Shirt.” This episode features the RFC debut of Sasha Colette, a song from “Norman Rockwell’s An American Love Story,” a special surprise song from Symphony Idol winner Ryan Hardiman and DEVO/Valentine’s animation by Frank Panucci.

Monday, February 7, 2011

Episode 118 of RFC

A Fantastic Variety Of Music On RFC 118

February 7, 2011 by rudy panucci
Radio free Charleston jumps back into the swing of things with episode 118, “Not Kool Shirt,” featuring music from Fox Elipsus and White Chapel District, plus a preview of the latest show from the Contemporary Youth Arts Company. That’s it right up there at the top of this post!

“Norman Rockwell’s An American Love Story” opens Thursday at 8 PM at The WVSU Capitol Center Theater, 123 Summers St., in Charleston.  This is a brand new original work with words by Dan Kehde and music by Mark Scarpelli.

A follow up to a previous CYAC show, “Norman Rockwell’s American Paradise,” this new show tells a sweet love story (just in time for Valentine’s Day) with scenes based on different Norman Rockwell paintings. You can see a song from “American Paradise” on RFC 66.

The song we feature this week is a solo performance by Sarah Schleiss, accompanied on piano by Mark Scarpelli.

Tuesday, January 11, 2011

Episode 117 of RFC


Rubber Soul Plays The White Album On RFC 117

January 11, 2011 by rudy panucci

The first Radio Free Charleston of 2011 is a very special show. As you can see above, it’s a “fly on the wall” preview of Charleston’s own Beatles tribute band, Rubber Soul, as they prepare for this weekend’s performance of “The Beatles (The White Album)” in St. Albans.

This weekend’s shows are benefit performances for Ronald McDonald House, and will take place at The Alban Arts and Conference Center at 65 Olde Main in St. Albans. Show time is 8 PM, and tickets are ten dollars.